/**
 * Block-Elemente CSS
 * Styles für Standard-Tabellen
 */

/* ==========================================================================
   Standard-Tabelle (glyphstable)
   ========================================================================== */

.glyphstable {
	font-size: 15px;
	line-height: 25px;
	font-variant-numeric: tabular-nums lining-nums;
	font-feature-settings: "tnum" "lnum";
	margin-top: 40px;
	margin-bottom: 20px;
	width: 100%;
	padding-bottom: 20px;
	position: relative;
}

@media only screen and (max-width: 799px) {
	.glyphstable {
		font-size: 17px;
		overflow-x: scroll;
		margin-left: -20px;
		margin-right: -20px;
		width: calc(100vw - 2px);
	}
}

.glyphstable__table {
	min-width: 100%;
}

@media only screen and (max-width: 959px) {
	.glyphstable__table {
		padding-right: 20px;
		font-size: 15px;
	}
}

.glyphstable__header {
	text-align: left;
	font-weight: 700;
}

@media (hover) {
	.glyphstable__row:hover * {
		background-color: var(--clr-gray-light, #f2f2f2);
	}
}

.glyphstable__headercell {
	padding: 10px;
	border-bottom: 1px solid #222;
	white-space: nowrap;
}

.glyphstable__cell {
	padding: 10px;
	border-bottom: 1px solid #222;
	margin: 0;
}

.glyphstable__cell--shortcut {
	white-space: nowrap;
}

.glyphstable__cell--glyph {
	padding: 0;
	font-size: 25px;
	line-height: 35px;
	line-height: 1;
	text-align: center;
}

.glyphstable__cell--glyph, .singleglyph {
	font-family: TypefactsExample, TypefactsNotoSerif, Iowan Old Style, Georgia, serif;
	background-color: var(--clr-error-light, rgba(255, 38, 61, 0.1));
}

.singleglyph {
	padding: .2em .4em .3em;
}

/* Standard-Tabelle (table-responsive) */
.table-responsive {
	overflow-x: auto;
	margin-top: 40px;
	margin-bottom: 20px;
}

@media only screen and (max-width: 799px) {
	.table-responsive {
		margin-left: -20px;
		margin-right: -20px;
		width: calc(100vw - 2px);
	}
}

.ce-table {
	width: 100%;
	border-collapse: collapse;
	font-size: 15px;
	line-height: 25px;
	font-variant-numeric: tabular-nums lining-nums;
	font-feature-settings: "tnum" "lnum";
}

@media only screen and (max-width: 799px) {
	.ce-table {
		font-size: 17px;
	}
}

.ce-table-bordered td,
.ce-table-bordered th {
	border: 1px solid var(--clr-gray-dark, #222);
	padding: 10px;
}

.ce-table-bordered th {
	font-weight: 700;
	text-align: left;
	white-space: nowrap;
}

.ce-table-bordered td {
	text-align: left;
}

@media (hover) {
	.ce-table tbody tr:hover {
		background-color: var(--clr-gray-light, #f2f2f2);
	}
}
